package com.ruoyi.web.controller.coffee;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.domain.model.LoginUser;
import com.ruoyi.framework.web.service.TokenService;
import com.ruoyi.system.service.impl.AppServiceImpl;
import com.ruoyi.system.service.impl.OrderServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;

@RestController
@RequestMapping("/app")
public class AppController {
    @Autowired
    private TokenService tokenService;
    @Autowired
    private AppServiceImpl appService;
    @Autowired
    private OrderServiceImpl orderService;



    @RequestMapping("/getMyOrder")
    public AjaxResult getMyOrder(HttpServletRequest request){
        LoginUser loginUser = tokenService.getLoginUser(request);
        if(loginUser ==null){
            return AjaxResult.error("请先登录");
        }
        String openId = loginUser.getOpenId();
        return AjaxResult.success(orderService.getMyOrder(openId));
    }

}
